Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::InterfaceIPv6Info Struct Reference

Interface specific IPv6 info. More...

## Public Attributes
boolean | enabled
| `true` if IPv6 is enabled
IpConfigMethod | configMethod
| Interface configuration method.
vector< IpAddrCidr > | addrsCidr
| List of active IPv6 addresses with prefix length.
string | dhcpServerId
| DHCPv6 server id or empty.
string | dhcpPreferredHostname
| Preferred hostname (only used with DHCP)
boolean | raManaged
| "Managed" flag set in router announcements
boolean | raOtherConf
| "OtherConf" flag set in router announcements

## Detailed Description

Interface specific IPv6 info.

The documentation for this struct was generated from the following file:

- Net.idl